      SUBROUTINE MATVEC (A, B, C)
      DIMENSION A( 7 , 7 ),B( 7 ),C( 7 )
      COMPLEX B, C, SUM
      DO 2 I=1, 7
      SUM = CMPLX(0.,0.)
      DO 1 J=1, 7
C     SUM = SUM + A(I,J) * B(J)
      SUM=SUM+CMPLX(A(I,J)*REAL(B(J)),A(I,J)*AIMAG(B(J)))
1     CONTINUE
      C(I) = SUM
2     CONTINUE
C(DEBUGLINE) VERSION CREATED JULY 8 1982 BY J.SELA,NMC.
      RETURN
      END
